All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.servlet.tbeans
Interface BaseListEditorKeysInterface

All Known Implementing Classes:
  BaseListEditor, ListEditor

    public interface BaseListEditorKeysInterface

This interface provides the keys used by both the composite component manager and the template support classes. The component manager should hold references to the sub-components of any sub-class of BaseListEditor in a map using these keys. The template support class will substitute the appropriate markup language for the primary components of any sub-class of BaseListEditor using these keys.

Field Summary
`static java.lang.String` | `LISTEDITOR_ADD_BUTTON` The "Add" button
`static java.lang.String` | `LISTEDITOR_BODY` The key that holds the entire component
`static java.lang.String` | `LISTEDITOR_DELETE_BUTTON` The "Delete" button
`static java.lang.String` | `LISTEDITOR_DELETEALL_BUTTON` The "Delete All" button
`static java.lang.String` | `LISTEDITOR_LIST` The list component
`static java.lang.String` | `LISTEDITOR_UPDATE_BUTTON` The "Update" button

Field Detail

### LISTEDITOR_BODY

    static final java.lang.String LISTEDITOR_BODY

  The key that holds the entire component

  See Also:
    Constant Field Values

### LISTEDITOR_LIST

    static final java.lang.String LISTEDITOR_LIST

  The list component

  See Also:
    Constant Field Values

### LISTEDITOR_ADD_BUTTON

    static final java.lang.String LISTEDITOR_ADD_BUTTON

  The "Add" button

  See Also:
    Constant Field Values

### LISTEDITOR_UPDATE_BUTTON

    static final java.lang.String LISTEDITOR_UPDATE_BUTTON

  The "Update" button

  See Also:
    Constant Field Values

### LISTEDITOR_DELETE_BUTTON

    static final java.lang.String LISTEDITOR_DELETE_BUTTON

  The "Delete" button

  See Also:
    Constant Field Values

### LISTEDITOR_DELETEALL_BUTTON

    static final java.lang.String LISTEDITOR_DELETEALL_BUTTON

  The "Delete All" button

  See Also:
    Constant Field Values

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.